<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Name: IHE Annotation Comment
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000">
   <title>IHE Annotation Comment</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]
Item: (ihe-AnnotationComment)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]"
         id="tmp-r-4b97f535-5365-4430-92f3-b3060c6fa888">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@classCode)='ACT'">(ihe-AnnotationComment): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-AnnotationComment): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&gt;=1 ">(ihe-AnnotationComment): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'])&lt;=1">(ihe-AnnotationComment): element hl7:templateId[@root='2.16.840.1.113883.10.20.1.40'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&gt;=1 ">(ihe-AnnotationComment): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'])&lt;=1">(ihe-AnnotationComment): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(ihe-AnnotationComment): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(ihe-AnnotationComment): element hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ihe-AnnotationComment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:text)&lt;=1">(ihe-AnnotationComment): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:statusCode)&lt;=1">(ihe-AnnotationComment): element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.40']"
         id="tmp-r-2a81859b-12a1-4dc9-b515-092cc9a926c2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.40'">(ihe-AnnotationComment): @root MOET de waarde '2.16.840.1.113883.10.20.1.40' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']"
         id="tmp-r-f3406f7f-89b7-4e6f-b171-7c199bb30eca">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.4.2'">(ihe-AnnotationComment): @root MOET de waarde '1.3.6.1.4.1.19376.1.5.3.1.4.2' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:code[(@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-b6297bd5-e084-47e8-bd5a-fa2508cc9a8c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(ihe-AnnotationComment): de elementwaarde MOET 'code '48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text"
         id="tmp-r-a788ef7f-70e3-4f77-83a1-c9d57dfc2179">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(ihe-AnnotationComment): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="count(hl7:reference)&lt;=1">(ihe-AnnotationComment): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:text/hl7:reference
Item: (ihe-AnnotationComment)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.5.3.1.4.2
Context: *[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:statusCode
Item: (ihe-AnnotationComment)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' and @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]/hl7:statusCode"
         id="tmp-r-2fd5fe43-4bbb-4c62-bc45-4c586ea86e42">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-AnnotationComment): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.2-2008-08-08T000000.html"
              test="@nullFlavor or (@code='completed')">(ihe-AnnotationComment): de elementwaarde MOET 'code 'completed'' zijn.</assert>
   </rule>
</pattern>
