<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Name: VZVZ Opleveren Algemene Uitslagen
Description: Opleveren Algemene Uitslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000">
   <title>VZVZ Opleveren Algemene Uitslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/" id="tmp-r-6f535b87-cbe8-402a-95f4-6fa2c4166998">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:POOB_IN990003NL)&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:POOB_IN990003NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:POOB_IN990003NL)&lt;=1">(opleverenAlgemeneUitslagen): element hl7:POOB_IN990003NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL"
         id="tmp-r-4a7923ca-ff0b-46fe-addb-1dcf1b81a1b5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess
Item: (opleverenAlgemeneUitslagen)
-->

   <rule context="/hl7:POOB_IN990003NL/hl7:ControlActProcess"
         id="tmp-r-7dbd122a-cba6-47ed-aeae-452babc7bad7">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenAlgemeneUitslagen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20141105T102312/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.8-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]])&gt;=1 ">(opleverenAlgemeneUitslagen): element hl7:subject[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]] is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.8
Context: /hl7:POOB_IN990003NL/hl7:ControlActProcess/hl7:subject[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.202']]]
Item: (opleverenAlgemeneUitslagen)
--></pattern>
